<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>JSON Schema Konverter</title>
    <link rel="stylesheet" href="/style.css" />
  </head>
  <body>
    <main class="container">
      <section>
        <header style="text-align: center">
          <h2>XDatenfelder -> JSON Schema</h2>
          <h5>
            Wichtiger Hinweis: Der JSON Schema Konverter ist aktuell ein
            Prototyp.
          </h5>
        </header>
        <form action="/convert" method="POST" enctype="multipart/form-data">
          <fieldset id="forms__input">
            <legend>Datei Konvertieren</legend>
            <p>
              <label for="inputFile">Schemadatei auswählen:</label>
              <input
                name="data"
                type="file"
                id="inputFile"
                accept="text/xml"
                required
              />
            </p>
            <p>
              <label for="codelists"
                >Codelisten auswählen (Mehrfachauswahl):</label
              >
              <input
                name="lists"
                type="file"
                id="codelists"
                accept="text/xml"
                multiple
              />
            </p>
            <p>
              Die Codelisten müssen der Namenskonvention
              "codeListenId_genericode.xml" folgen.
            </p>
            <p>
              <button type="submit">Konvertieren</button>
            </p>
          </fieldset>
        </form>
      </section>
    </main>
  </body>
</html>
